#include <math.h>
#include <iostream>
#include <conio.h>
#include <vector>
#include "histogram.h"
#include "text.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(){
    cerr << "Input numbers count: ";
    size_t number_count;
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    cerr << "Input numbers: ";
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
    cerr << "Input bin count: ";
    cin >> in.bin_count;
    return in;
}


int main() {
    Input in = input_data();
    auto bins = make_histogramm(in.numbers, in.bin_count);
    show_histogramm(bins);
    return 0;
}
